> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get daily trading volumes

> Retrieves the trading volumes for each instrument separated by day.

<Tabs groupId="programming-language">
  <Tab value="Java" title="Java">
    ```java theme={null}
    InstrumentsService instrumentsService = IntxServiceFactory.createInstrumentsService(client);
    GetDailyTradingVolumesRequest request = new GetDailyTradingVolumesRequest.Builder()
        .instruments("BTC-PERP")
        .build();
    GetDailyTradingVolumesResponse response = instrumentsService.getDailyTradingVolumes(request);
    ```

    For more information, please visit the [INTX Java SDK](https://github.com/coinbase-samples/intx-sdk-java).
  </Tab>

  <Tab value=".NET" title=".NET">
    ```cs theme={null}
    var instrumentsService = new InstrumentsService(client);
    var request = new GetDailyTradingVolumesRequest(
        instruments: "BTC-PERP"
    );
    var response = instrumentsService.GetDailyTradingVolumes(request);
    ```

    For more information, please visit the [INTX .NET SDK](https://github.com/coinbase-samples/intx-sdk-dotnet).
  </Tab>

  <Tab value="Python" title="Python">
    ```python theme={null}
    client = IntxClient()
    request = GetDailyTradingVolumesRequest(
        instruments="BTC-PERP"
    )
    response = client.get_instrument_volumes_daily(request)
    ```

    For more information, please visit the [INTX Python SDK](https://github.com/coinbase-samples/intx-sdk-py).
  </Tab>

  <Tab value="Typescript" title="TS/JS">
    ```js theme={null}
    const instrumentsService = new InstrumentsService(client);

    instrumentsService.getDailyTradingVolume({
        instrument: 'BTC-PERP',
    }).then(async (response) => {
        console.log('Daily Trading Volume: ', response);
    })
    ```

    For more information, please visit the [INTX TS SDK](https://github.com/coinbase-samples/intx-sdk-ts).
  </Tab>
</Tabs>


## OpenAPI

````yaml GET /api/v1/instruments/volumes/daily
openapi: 3.0.3
info:
  title: REST API
  description: >
    # Welcome to Coinbase INTX API

    ## Introduction

    The INTX APIs allow institutions to trade and manage orders on the
    International Exchange. The following API pages detail various REST API
    endpoints we offer.

    ## Getting Started

    To get started, please visit one of the following pages:

    - [Quickstart](/international-exchange/introduction/quickstart)

    -
    [Overview](/api-reference/international-exchange-api/rest-api/introduction)

    -
    [Authentication](/api-reference/international-exchange-api/rest-api/authentication)

    - [Rate Limits](/international-exchange/introduction/rate-limits-overview)

    ## FIX API

    - [FIX API reference](/international-exchange/fix-api/fix-api-overview)

    ## WebSocket API

    - [WebSocket API
    reference](/international-exchange/websocket-feed/websocket-overview)
  version: '1.0'
servers:
  - url: https://api.international.coinbase.com
security: []
paths:
  /api/v1/instruments/volumes/daily:
    get:
      tags:
        - Instruments
      summary: Get daily trading volumes
      description: Retrieves the trading volumes for each instrument separated by day.
      operationId: getInstrumentVolumesDaily
      parameters:
        - name: instruments
          in: query
          description: >-
            Identifies the instruments by name in a comma separated list (e.g.,
            `BTC-PERP,ETH-PERP`)
          required: true
          schema:
            type: string
        - name: result_limit
          in: query
          description: >-
            The number of results to return (defaults to 60 with a max supported
            value of 100)
          required: false
          schema:
            type: integer
            example: 30
        - name: result_offset
          in: query
          description: The number of results from the beginning to skip past
          required: false
          schema:
            type: integer
            example: 5
        - name: time_from
          in: query
          description: >-
            The first date to include data from in ISO 8601 timestamp format
            (e.g. `2024-03-01T00:00:00Z`)
          required: false
          schema:
            type: string
        - name: show_other
          in: query
          description: >-
            Return an `OTHER` bucket in the instrument list containing the
            volume of all instruments filtered out by the `instruments` query
            parameter
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: Instrument list
          content:
            application/json:
              schema:
                properties:
                  pagination:
                    $ref: '#/components/schemas/PaginationBase_v1'
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/InstrumentDailyVolume_v1'
        '400':
          description: Invalid attribute
components:
  schemas:
    PaginationBase_v1:
      type: object
      properties:
        result_limit:
          description: >-
            The number of results to return (defaults to 25 with a max supported
            value of 100)
          type: integer
          example: 30
        result_offset:
          description: The number of results from the beginning to skip past
          type: integer
          example: 50
    InstrumentDailyVolume_v1:
      type: object
      properties:
        timestamp:
          description: The date of the aggregated volume data
          type: string
          example: '2024-04-23T00:00:00Z'
        instruments:
          description: List of instruments with their respective daily volumes
          type: array
          items:
            $ref: '#/components/schemas/InstrumentDailyVolumeEntry_v1'
        totals:
          $ref: '#/components/schemas/InstrumentDailyVolumeTotals_v1'
    InstrumentDailyVolumeEntry_v1:
      type: object
      properties:
        symbol:
          description: The instrument symbol
          type: string
          example: BTC-PERP
        volume:
          description: Daily volume for that instrument denominated in base asset quantity
          type: string
          example: '2180.5428999997785'
        notional:
          description: >-
            Daily notional volume for that instrument. For spot instruments
            which route orders to Coinbase exchange this field is not set, set
            to "", or 0
          type: string
          example: '145087054.13650635'
    InstrumentDailyVolumeTotals_v1:
      type: object
      properties:
        total_instruments_volume:
          description: >-
            Daily volume for all instruments denominated in base asset quantity,
            excluding spot instruments which route orders to Coinbase Exchange
          type: string
          example: '255682824.87039998'
        total_instruments_notional:
          description: >-
            Daily notional volume for all instruments, excluding spot
            instruments which route orders to Coinbase Exchange
          type: string
          example: '2180.5428999997785'
        total_exchange_volume:
          description: >-
            Daily volume for all instruments denominated in base asset quantity,
            excluding spot instruments which route orders to Coinbase Exchange
          type: string
          example: '255682824.87039998'
        total_exchange_notional:
          description: >-
            Daily notional volume for all instruments, excluding spot
            instruments which route orders to Coinbase Exchange
          type: string
          example: '2180.5428999997785'

````